Quote
curl --request POST \
--url https://api.example.com/v1/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": {
"assets": false,
"branding": false,
"html": false,
"links": false,
"markdown": false,
"rawHtml": false,
"screenshot": false
},
"headers": {},
"includeTags": [
"<string>"
],
"jsonPrompt": "<string>",
"jsonSchema": {},
"location": {
"country": "us",
"languages": [
"<string>"
]
},
"mobile": false,
"onlyMainContent": true,
"renderJs": true,
"screenshotParams": {
"delivery": "base64",
"format": "jpeg",
"fullPage": false,
"quality": 50
},
"timeout": 30000,
"waitFor": 0
}
'import requests
url = "https://api.example.com/v1/quote"
payload = {
"url": "<string>",
"blockAds": True,
"excludeTags": ["<string>"],
"formats": {
"assets": False,
"branding": False,
"html": False,
"links": False,
"markdown": False,
"rawHtml": False,
"screenshot": False
},
"headers": {},
"includeTags": ["<string>"],
"jsonPrompt": "<string>",
"jsonSchema": {},
"location": {
"country": "us",
"languages": ["<string>"]
},
"mobile": False,
"onlyMainContent": True,
"renderJs": True,
"screenshotParams": {
"delivery": "base64",
"format": "jpeg",
"fullPage": False,
"quality": 50
},
"timeout": 30000,
"waitFor": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
blockAds: true,
excludeTags: ['<string>'],
formats: {
assets: false,
branding: false,
html: false,
links: false,
markdown: false,
rawHtml: false,
screenshot: false
},
headers: {},
includeTags: ['<string>'],
jsonPrompt: '<string>',
jsonSchema: {},
location: {country: 'us', languages: ['<string>']},
mobile: false,
onlyMainContent: true,
renderJs: true,
screenshotParams: {delivery: 'base64', format: 'jpeg', fullPage: false, quality: 50},
timeout: 30000,
waitFor: 0
})
};
fetch('https://api.example.com/v1/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'blockAds' => true,
'excludeTags' => [
'<string>'
],
'formats' => [
'assets' => false,
'branding' => false,
'html' => false,
'links' => false,
'markdown' => false,
'rawHtml' => false,
'screenshot' => false
],
'headers' => [
],
'includeTags' => [
'<string>'
],
'jsonPrompt' => '<string>',
'jsonSchema' => [
],
'location' => [
'country' => 'us',
'languages' => [
'<string>'
]
],
'mobile' => false,
'onlyMainContent' => true,
'renderJs' => true,
'screenshotParams' => [
'delivery' => 'base64',
'format' => 'jpeg',
'fullPage' => false,
'quality' => 50
],
'timeout' => 30000,
'waitFor' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/quote"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": {\n \"assets\": false,\n \"branding\": false,\n \"html\": false,\n \"links\": false,\n \"markdown\": false,\n \"rawHtml\": false,\n \"screenshot\": false\n },\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/quote")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": {\n \"assets\": false,\n \"branding\": false,\n \"html\": false,\n \"links\": false,\n \"markdown\": false,\n \"rawHtml\": false,\n \"screenshot\": false\n },\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/quote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": {\n \"assets\": false,\n \"branding\": false,\n \"html\": false,\n \"links\": false,\n \"markdown\": false,\n \"rawHtml\": false,\n \"screenshot\": false\n },\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {
"credits": 123,
"free": true,
"reason": "fresh_fetch"
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}public
Quote
Price one scrape without running it.
Quote
curl --request POST \
--url https://api.example.com/v1/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": {
"assets": false,
"branding": false,
"html": false,
"links": false,
"markdown": false,
"rawHtml": false,
"screenshot": false
},
"headers": {},
"includeTags": [
"<string>"
],
"jsonPrompt": "<string>",
"jsonSchema": {},
"location": {
"country": "us",
"languages": [
"<string>"
]
},
"mobile": false,
"onlyMainContent": true,
"renderJs": true,
"screenshotParams": {
"delivery": "base64",
"format": "jpeg",
"fullPage": false,
"quality": 50
},
"timeout": 30000,
"waitFor": 0
}
'import requests
url = "https://api.example.com/v1/quote"
payload = {
"url": "<string>",
"blockAds": True,
"excludeTags": ["<string>"],
"formats": {
"assets": False,
"branding": False,
"html": False,
"links": False,
"markdown": False,
"rawHtml": False,
"screenshot": False
},
"headers": {},
"includeTags": ["<string>"],
"jsonPrompt": "<string>",
"jsonSchema": {},
"location": {
"country": "us",
"languages": ["<string>"]
},
"mobile": False,
"onlyMainContent": True,
"renderJs": True,
"screenshotParams": {
"delivery": "base64",
"format": "jpeg",
"fullPage": False,
"quality": 50
},
"timeout": 30000,
"waitFor": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
blockAds: true,
excludeTags: ['<string>'],
formats: {
assets: false,
branding: false,
html: false,
links: false,
markdown: false,
rawHtml: false,
screenshot: false
},
headers: {},
includeTags: ['<string>'],
jsonPrompt: '<string>',
jsonSchema: {},
location: {country: 'us', languages: ['<string>']},
mobile: false,
onlyMainContent: true,
renderJs: true,
screenshotParams: {delivery: 'base64', format: 'jpeg', fullPage: false, quality: 50},
timeout: 30000,
waitFor: 0
})
};
fetch('https://api.example.com/v1/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'blockAds' => true,
'excludeTags' => [
'<string>'
],
'formats' => [
'assets' => false,
'branding' => false,
'html' => false,
'links' => false,
'markdown' => false,
'rawHtml' => false,
'screenshot' => false
],
'headers' => [
],
'includeTags' => [
'<string>'
],
'jsonPrompt' => '<string>',
'jsonSchema' => [
],
'location' => [
'country' => 'us',
'languages' => [
'<string>'
]
],
'mobile' => false,
'onlyMainContent' => true,
'renderJs' => true,
'screenshotParams' => [
'delivery' => 'base64',
'format' => 'jpeg',
'fullPage' => false,
'quality' => 50
],
'timeout' => 30000,
'waitFor' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/quote"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": {\n \"assets\": false,\n \"branding\": false,\n \"html\": false,\n \"links\": false,\n \"markdown\": false,\n \"rawHtml\": false,\n \"screenshot\": false\n },\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/quote")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": {\n \"assets\": false,\n \"branding\": false,\n \"html\": false,\n \"links\": false,\n \"markdown\": false,\n \"rawHtml\": false,\n \"screenshot\": false\n },\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/quote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"blockAds\": true,\n \"excludeTags\": [\n \"<string>\"\n ],\n \"formats\": {\n \"assets\": false,\n \"branding\": false,\n \"html\": false,\n \"links\": false,\n \"markdown\": false,\n \"rawHtml\": false,\n \"screenshot\": false\n },\n \"headers\": {},\n \"includeTags\": [\n \"<string>\"\n ],\n \"jsonPrompt\": \"<string>\",\n \"jsonSchema\": {},\n \"location\": {\n \"country\": \"us\",\n \"languages\": [\n \"<string>\"\n ]\n },\n \"mobile\": false,\n \"onlyMainContent\": true,\n \"renderJs\": true,\n \"screenshotParams\": {\n \"delivery\": \"base64\",\n \"format\": \"jpeg\",\n \"fullPage\": false,\n \"quality\": 50\n },\n \"timeout\": 30000,\n \"waitFor\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {
"credits": 123,
"free": true,
"reason": "fresh_fetch"
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}Authorizations
API key for public endpoints; Clerk session for account endpoints.
Body
application/json
Required string length:
1 - 8192Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
10000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x <= 120000Required range:
0 <= x <= 60000